Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 973213 - RHEV-M shows VM state UP even after host is down
RHEV-M shows VM state UP even after host is down
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.0
Unspecified Linux
unspecified Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
virt
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-11 09:17 EDT by Mahendra Takwale
Modified: 2015-09-22 09 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-12 05:15:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mahendra Takwale 2013-06-11 09:17:30 EDT
Description of problem: In a RHEV 3.1 environment, if a host on wihch VM is running crashes, in that case virtual machine state in RHEV-M is still shown as "UP". Host failure is detected by RHEV-M and host is moved to "non-responsive" state but VM state is still shown as "UP". If RHEV-M is aware of the fact that host is not-accessible then the virtual machine state should be changed accordingly, because VM is no longer running.


Version-Release number of selected component (if applicable): RHEV-M 3.1


How reproducible: Always


Steps to Reproduce:
1. Pull power cable of host on which VM is running.
2.
3.

Actual results: Host goes into non-operational state. But VM is still in "UP" state even though virtual machine is not running. In such case, no other host can start VM as RHEV-M rejects VM start operation.


Expected results: RHEV-M should show VM state as down and allows other host to start VM. Additionally, RHEV-M should allow a way to forcefully clear VM state and start on any other host. Configure power management does not solve problems in all the situation. In case power management device is also down along with host, VM will remain in down state and in worst case unrecoverable state.


Additional info:
We opened case for this but it got closed case #00823899. Log and details are attached in case history

https://access.redhat.com/support/cases/00823899/

This bugzilla is filled for getting this issue fixed.
Comment 1 Itamar Heim 2013-06-11 14:29:02 EDT
RHEV-M cannot determine in this case[1] if the host is really down, or if it only lost connectivity to the host.
rhev-m needs to know the host is "really down", which can be done automatically by rhev-m fencing the host, or by the admin manually confirming to the engine that the host is down, and rhev-m can safely release the resources associated with it.
does this (manual fencing by admin/rest api) cover your use case?


[1] a future item is planned around monitoring via another host if the host is maintaining its sanlock lease, allowing to determine if its down or not.
Comment 2 Michal Skrivanek 2013-07-12 05:15:11 EDT
feel free to reopen once there are answers

Note You need to log in before you can comment on or make changes to this bug.